Skip to content

List work item relations ​

GET/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/relations/

Retrieve all relationships for a work item, including blocking, blocked_by, duplicate, relates_to, start_before, start_after, finish_before, and finish_after relations.

Path parameters ​

work_item_id:requiredstring

The unique identifier of the work item.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Query parameters ​

cursor:optionalstring

Pagination cursor for the next page of results.

expand:optionalstring

Comma-separated list of related fields to expand in the response.

fields:optionalstring

Comma-separated list of fields to include in the response.

order_by:optionalstring

Field to sort results by. Prefix it with - for descending order.

per_page:optionalinteger

Number of results per page. Defaults to 20, maximum 100.

Scopes ​

projects.work_items:read

List work item relations
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/relations/?cursor=20:1:0&expand=assignees" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "blocking": ["550e8400-e29b-41d4-a716-446655440000", "550e8400-e29b-41d4-a716-446655440000"],
  "blocked_by": ["550e8400-e29b-41d4-a716-446655440000"],
  "duplicate": [],
  "relates_to": ["550e8400-e29b-41d4-a716-446655440000"],
  "start_after": [],
  "start_before": ["550e8400-e29b-41d4-a716-446655440000"],
  "finish_after": [],
  "finish_before": []
}